<template>
  <div>
    <el-row type="flex" class="demo-input-suffix">
      <el-input
        v-model="search"
        class="input-search"
        :span="4"
        placeholder="Nhập nội dung cần tìm..."
        prefix-icon="el-icon-search"
      />
      <el-select
        v-model="valueOption"
        class="select-search"
        :span="4"
        multiple
        collapse-tags
        style="margin-left: 20px;"
        placeholder="Select"
      >
        <el-option
          v-for="item in options"
          :key="item.value"
          :label="item.label"
          :value="item.value"
        />
      </el-select>
    </el-row>
    <el-table
      :data="data"
      :row-class-name="tableRowClassName"
      style="width: 100%"
    >
      <el-table-column
        fixed
        prop="fullname"
        label="Họ và Tên"
      />
      <el-table-column
        prop="birthday"
        label="Ngày sinh"
      />
      <el-table-column
        prop="idnumber"
        label="CMT"
      />
      <el-table-column
        prop="blood"
        label="Nhóm máu"
      />
      <el-table-column
        prop="phone"
        label="SDT"
      />
      <el-table-column
        prop="organ"
        label="Mô/Tạng"
      />
      <el-table-column
        prop="address"
        label="Địa chỉ"
      />
      <el-table-column
        prop="status"
        label="Chia sẻ"
      />
      <el-table-column
        fixed="right"
        label="Trạng thái"
      >
        <template slot-scope="scope">
          <el-button
            size="mini"
            class="el-button--danger"
            @click="changeDonar(scope.$index, scope.row)"
          >
            Chỉnh sửa
          </el-button>
        </template>
      </el-table-column>
    </el-table>
    <el-dialog
      title="Người hiến la ai?"
      :visible.sync="dialogVisible"
      width="50%"
      :before-close="handleClose"
    >
      <el-table
        :data="tableComponentData"
        style="width: 100%"
      >
        <el-table-column
          prop="name"
          label="Name"
          width="180"
        />
        <el-table-column
          prop="status"
          label="Trạng thái"
          width="180"
        />
        <el-table-column
          prop="mark"
          label="Bác sĩ khám"
        >
          <template v-if="row.status === 'chuakham'" slot-scope="{ row }">
            <el-button
              size="mini"
              class="el-button--danger"
              @click="dialogVisible = true"
            >
              Đạt
            </el-button>
            <el-button
              size="mini"
              class="el-button--danger"
              @click="dialogVisible = true"
            >
              Không đạt
            </el-button>
          </template>
        </el-table-column>
      </el-table>
    </el-dialog>
  </div>
</template>

<style>
  .el-table .color-row {
    background: #f4f7fa;
  }
  .el-table thead tr {
    background-color: lightblue;
  }
  .el-select{
    margin: 10px!important;
  }
  .input-search{
    margin: 10px 0!important;
  }
  .el-table thead th {
    background-color: transparent;
  }
  .input-search {
    width: 300px;
  }
  .select-search {
    width: 200px;
  }
</style>

<script>

export default {
  props: {
    data: {
      type: Array,
      default: () => []
    }
  },

  data () {
    return {
      idDonor: '',
      tableComponentData: [{
        name: 'tim',
        status: 'chuakham'
      }, {
        name: 'phoi',
        status: 'chuakham'
      }, {
        name: 'gan',
        status: 'dakham'
      }, {
        name: 'van tim',
        status: 'dat'
      }, {
        name: 'da',
        status: 'dakham'
      }],
      dialogVisible: false,
      search: '',
      options: [{
        value: 'fullname',
        label: 'Tên'
      }, {
        value: 'idnumber',
        label: 'CMT'
      }, {
        value: 'blood',
        label: 'Nhóm máu'
      }, {
        value: 'SDT',
        label: 'phone'
      }, {
        value: 'organ',
        label: 'Mô/Tạng'
      }, {
        value: 'email',
        label: 'Email'
      }],
      valueOption: []
    }
  },

  methods: {
    tableRowClassName ({ row, rowIndex }) {
      if (rowIndex % 2 === 1) {
        return 'color-row'
      }
      return ''
    },

    handleClose (done) {
      this.$confirm('Bạn có thật sự muốn đóng?')
        .then((_) => {
          done()
        })
        .catch((_) => {})
    },

    changeDonar (index, row) {
      this.dialogVisible = true
      this.idDonor = row.id
      this.tableComponentData = row.organ
    }
  }
}
</script>
